#!/usr/bin/env python3
import unittest
#import pudb; pudb.set_trace()

from context import haircontrol
from haircontrol import discovery, data #, inspectors

class TestDiscovery(unittest.TestCase):
    
    def setUp(self):
        self.discovery = discovery.Discovery() #MockInspector('../test-data/input'))
        self.maxDiff=None

    def test_wire_graph(self):
        ref_net = data.EtherDomain() #json.load('../test-data/ref-output/equipments.json')

        self.discovery.discover_hinting_from_lldp(data.Equipment('stg2', '172.16.0.253'))
        self.discovery.discover_from_root(data.Equipment('stg', '172.16.0.254'))
        self.assertEqual(ref_net.get_equipment_list_sorted(), list(self.discovery.net.get_equipment_list_sorted()))

if __name__ == '__main__':
    unittest.main()
